This topic describes the prerequisites for installing ApsaraVideo VOD SDK for PHP. It also describes how to install, update, and uninstall the SDK.

Prerequisites

PHP 5.3 or later is used. You can run the php -v command to query the current PHP version. For more information about how to install PHP, visit the PHP official website.

Install the SDK

  1. Create a folder aliyun-php-sdk in your PHP project to centrally manage SDK files.
  2. Download the source code at aliyun-openapi-php-sdk. Decompress the downloaded package and copy the aliyun-php-sdk-core and aliyun-php-sdk-vod folders to the aliyun-php-sdk directory.
Note We recommend that you use aliyun-php-sdk-core 1.3.8 or later and aliyun-php-sdk-vod 2.15.1 or later.

Update the SDK

If new operations or new features of existing operations are unavailable in the current SDK version, upgrade the SDK to the latest version. Download the source code at aliyun-openapi-php-sdk. Decompress the downloaded package and copy the aliyun-php-sdk-core and aliyun-php-sdk-vod folders to the aliyun-php-sdk directory. You can query the SDK version by using one of the following methods:
  1. Open the ChangeLog.txt file in the aliyun-php-sdk-core or aliyun-php-sdk-vod folder. The first line of the file indicates the SDK version.
  2. View the latest SDK version on the download page.SDK versionSDK version
    Note The versions shown in the figures are only for reference. The actual versions prevail.

Uninstall the SDK

You can delete the local SDK directory to delete the SDK.